=== debian/changelog ===
libayatana-appindicator-glib (2.0.0~git20250307.66f8279-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 15:39:52 +0200

libayatana-appindicator-glib (2.0.0~git20250307.66f8279-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1100170).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Mar 2025 16:47:36 +0100
