=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.0.0~git%cd.%h" \
https://github.com/AyatanaIndicators/libayatana-appindicator-glib \
HEAD
