=== bindings/CMakeLists.txt ===
add_subdirectory (vala)
