=== debian/changelog ===
libayatana-appindicator-glib (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start packaging official upstream release, not Git snapshots anymore.
  * debian/upstream/signing-key.asc:
    + Add file.
  * debian/libayatana-appindicator-glib2.symbols:
    + Update file.
  * debian/copyright:
    + Update FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 12:56:03 +0200
