=== debian/control ===
Source: libayatana-appindicator-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras,
               gi-docgen,
               gobject-introspection,
               dbus-test-runner,
               xvfb,
               valac,
               libglib2.0-dev (>= 2.35.4),
               procps,
               libgirepository1.0-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator-glib
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator-glib.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator-glib/

Package: libayatana-appindicator-glib2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (Glib-2.0-only reimplementation)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications.

Package: libayatana-appindicator-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanaappindicatorglib-2.0 (= ${binary:Version}),
         libayatana-appindicator-glib2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.4),
Provides: ${gir:Provides},
Description: Ayatana Application Indicators (header files, Glib-2.0-only reimplementation)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

Package: libayatana-appindicator-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (Glib-2.0-only reimplementation, doc files)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation.

Package: gir1.2-ayatanaappindicatorglib-2.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator-glib2
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.
