=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-appindicator-glib/libayatana-appindicator-glib-(.+)\.tar\.gz
